Subject: Re: [PATCH] add iommu_num_pages helper function

From: Stephen Rothwell <[email-masked]>
Date: Tue, 29 Jul 2008 13:56:52 +1000

Hi, 

On Tue, 29 Jul 2008 10:46:31 +0900 FUJITA Tomonori <[email-masked]> wrote:
>
> > So, I assume a patch created on July 25 is not destined for 2.6.27,
> 
> Hmm, seems that they will go into 2.6.27:
> 
> http://marc.info/?l=linux-kernel&m=121729275722287&w=2
> 
> 
> > right?  Especially since it breaks another architecture build and has
> > only made it to linux-next on July 29 ... and needs more work given the
> > comments already on this patch.
> 
> It doesn't break another architecture build since only x86 IOMMUs use
> the helper function. But as I pointed out, it doesn't work for some
> architectures.

Um, did you see the linux-next build report I posted (possibly not):

arch/powerpc/kernel/iommu.c:56: error: static declaration of 'iommu_num_pages' follows non-static declaration
include/linux/iommu-helper.h:11: error: previous declaration of 'iommu_num_pages' was here

This is now a build of 2.6.27-rc1 for powerpc64 ppc64_defconfig ...

So we have a patch first posted to lkml on July 25 first hits linux-next
on July 29 and is no in Linus' tree on July 29.  A grep would have found
the problem.

More care required ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/